# -*- coding: utf8 -*-
from optparse import make_option
import sys
import csv
from datetime import timedelta, date, datetime
# import xml.etree.ElementTree as etree

from django.core.management.base import BaseCommand, CommandError
from django.db import transaction

from eo_gestion.eo_banque.models import *

class Command(BaseCommand):
    '''
       Charge un fichier CSV exporté depuis notre banque en ligne Banque Populaire
    '''
    can_import_django_settings = True
    output_transaction = True
    requires_model_validation = True
    args = '<csv_file> <csv_file>...'
    help = 'Charge le solde courant'

    @transaction.commit_manually
    def handle(self, *args, **options):
        if args:
            now = datetime.strptime(args[0], '%Y%m%d').date()
        else:
            now = date.today() + timedelta(days=1)
        print 'Solde', solde(now)
