from django.contrib import admin
from django.contrib.auth import REDIRECT_FIELD_NAME
from django.contrib.auth.models import *
from django.contrib.auth.admin import *
from django.utils.http import urlencode
from django.views.decorators.cache import never_cache

class EOGestionAdminSite(admin.AdminSite):
    @never_cache
    def login(self, request, extra_context=None):
        next_url = request.GET.get(REDIRECT_FIELD_NAME, settings.LOGIN_REDIRECT_URL or '/')
        query = urlencode({REDIRECT_FIELD_NAME: next_url})
        url = '/accounts/mellon/login/?{0}'.format(query)
        return HttpResponseRedirect(url)

    @never_cache
    def logout(self, request, extra_context=None):
        next_url = request.GET.get(REDIRECT_FIELD_NAME, settings.LOGIN_REDIRECT_URL or '/')
        query = urlencode({REDIRECT_FIELD_NAME: next_url})
        url = '/accounts/mellon/logout/?{0}'.format(query)
        return HttpResponseRedirect(url)

site = EOGestionAdminSite()
site.register(User, UserAdmin)
site.register(Group, GroupAdmin)

