# -*- coding: utf8 -*-
from optparse import make_option
import sys
import csv
from datetime import datetime, date
# import xml.etree.ElementTree as etree

from django.core.management.base import BaseCommand, CommandError
from django.db import transaction

from eo_gestion.eo_banque.models import *

class Command(BaseCommand):
    '''
       Charge un fichier CSV exporté depuis notre banque en ligne Baneque Populaire
    '''
    can_import_django_settings = True
    output_transaction = True
    requires_model_validation = True
    args = '<csv_file> <csv_file>...'
    help = 'Charge le solde courant'

    @transaction.commit_manually
    def handle(self, compte, montant, **options):
        try:
            try:
                s = SoldeBanquePop.objects.get(compte=compte,
                        date=date.today())
                s.montant = montant
                s.save()
            except SoldeBanquePop.DoesNotExist:
                s = SoldeBanquePop(compte=compte,
                        date=date.today(), montant=montant).save()
        except:
            transaction.rollback()
            raise
        else:
            transaction.commit()
