# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding model 'LigneBanquePop'
        db.create_table('eo_banque_lignebanquepop', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('compte', self.gf('django.db.models.fields.CharField')(max_length=20)),
            ('date_comptabilisation', self.gf('django.db.models.fields.DateField')()),
            ('date_operation', self.gf('django.db.models.fields.DateField')()),
            ('libelle', self.gf('django.db.models.fields.TextField')(max_length=256)),
            ('reference', self.gf('django.db.models.fields.CharField')(max_length=20)),
            ('date_valeur', self.gf('django.db.models.fields.DateField')()),
            ('montant', self.gf('django.db.models.fields.DecimalField')(max_digits=10, decimal_places=2)),
        ))
        db.send_create_signal('eo_banque', ['LigneBanquePop'])

        # Adding unique constraint on 'LigneBanquePop', fields ['compte', 'date_comptabilisation', 'date_operation', 'libelle', 'reference', 'montant']
        db.create_unique('eo_banque_lignebanquepop', ['compte', 'date_comptabilisation', 'date_operation', 'libelle', 'reference', 'montant'])

        # Adding model 'SoldeBanquePop'
        db.create_table('eo_banque_soldebanquepop', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('compte', self.gf('django.db.models.fields.CharField')(max_length=20)),
            ('date', self.gf('django.db.models.fields.DateField')(auto_now_add=True, blank=True)),
            ('montant', self.gf('django.db.models.fields.DecimalField')(max_digits=10, decimal_places=2)),
        ))
        db.send_create_signal('eo_banque', ['SoldeBanquePop'])


    def backwards(self, orm):
        
        # Removing unique constraint on 'LigneBanquePop', fields ['compte', 'date_comptabilisation', 'date_operation', 'libelle', 'reference', 'montant']
        db.delete_unique('eo_banque_lignebanquepop', ['compte', 'date_comptabilisation', 'date_operation', 'libelle', 'reference', 'montant'])

        # Deleting model 'LigneBanquePop'
        db.delete_table('eo_banque_lignebanquepop')

        # Deleting model 'SoldeBanquePop'
        db.delete_table('eo_banque_soldebanquepop')


    models = {
        'eo_banque.lignebanquepop': {
            'Meta': {'unique_together': "(('compte', 'date_comptabilisation', 'date_operation', 'libelle', 'reference', 'montant'),)", 'object_name': 'LigneBanquePop'},
            'compte': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'date_comptabilisation': ('django.db.models.fields.DateField', [], {}),
            'date_operation': ('django.db.models.fields.DateField', [], {}),
            'date_valeur': ('django.db.models.fields.DateField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'libelle': ('django.db.models.fields.TextField', [], {'max_length': '256'}),
            'montant': ('django.db.models.fields.DecimalField', [], {'max_digits': '10', 'decimal_places': '2'}),
            'reference': ('django.db.models.fields.CharField', [], {'max_length': '20'})
        },
        'eo_banque.soldebanquepop': {
            'Meta': {'object_name': 'SoldeBanquePop'},
            'compte': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'date': ('django.db.models.fields.DateField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'montant': ('django.db.models.fields.DecimalField', [], {'max_digits': '10', 'decimal_places': '2'})
        }
    }

    complete_apps = ['eo_banque']
