# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding model 'Client'
        db.create_table('eo_facture_client', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('nom', self.gf('django.db.models.fields.TextField')(unique=True, max_length=255)),
            ('adresse', self.gf('django.db.models.fields.TextField')()),
            ('email', self.gf('django.db.models.fields.CharField')(max_length=50, blank=True)),
            ('telephone', self.gf('django.db.models.fields.CharField')(max_length=20, blank=True)),
            ('monnaie', self.gf('django.db.models.fields.CharField')(default=u'\u20ac', max_length=10)),
        ))
        db.send_create_signal('eo_facture', ['Client'])

        # Adding model 'Contrat'
        db.create_table('eo_facture_contrat', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('client', self.gf('django.db.models.fields.related.ForeignKey')(related_name='contrats', to=orm['eo_facture.Client'])),
            ('intitule', self.gf('django.db.models.fields.CharField')(max_length=150)),
            ('description', self.gf('django.db.models.fields.TextField')(blank=True)),
            ('tva', self.gf('django.db.models.fields.DecimalField')(default='19.6', max_digits=8, decimal_places=2)),
            ('creation', self.gf('django.db.models.fields.DateField')(default=datetime.date.today)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['auth.User'])),
        ))
        db.send_create_signal('eo_facture', ['Contrat'])

        # Adding model 'Prestation'
        db.create_table('eo_facture_prestation', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('contrat', self.gf('django.db.models.fields.related.ForeignKey')(related_name='prestations', to=orm['eo_facture.Contrat'])),
            ('intitule', self.gf('django.db.models.fields.TextField')()),
            ('optionnel', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('prix_unitaire_ht', self.gf('django.db.models.fields.DecimalField')(max_digits=8, decimal_places=2)),
            ('quantite', self.gf('django.db.models.fields.DecimalField')(max_digits=8, decimal_places=2)),
        ))
        db.send_create_signal('eo_facture', ['Prestation'])

        # Adding model 'Facture'
        db.create_table('eo_facture_facture', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('ordre', self.gf('django.db.models.fields.IntegerField')(default=21, null=True)),
            ('contrat', self.gf('django.db.models.fields.related.ForeignKey')(related_name='factures', to=orm['eo_facture.Contrat'])),
            ('intitule', self.gf('django.db.models.fields.CharField')(max_length=150)),
            ('notes', self.gf('django.db.models.fields.TextField')(blank=True)),
            ('emission', self.gf('django.db.models.fields.DateField')(default=datetime.date.today)),
            ('echeance', self.gf('django.db.models.fields.DateField')(default=datetime.date(2011, 5, 23))),
            ('solde', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['auth.User'])),
        ))
        db.send_create_signal('eo_facture', ['Facture'])

        # Adding model 'Ligne'
        db.create_table('eo_facture_ligne', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('facture', self.gf('django.db.models.fields.related.ForeignKey')(related_name='lignes', to=orm['eo_facture.Facture'])),
            ('prestation', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['eo_facture.Prestation'])),
            ('pourcentage', self.gf('django.db.models.fields.DecimalField')(default='1.0', max_digits=3, decimal_places=2)),
            ('order', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True)),
        ))
        db.send_create_signal('eo_facture', ['Ligne'])


    def backwards(self, orm):
        
        # Deleting model 'Client'
        db.delete_table('eo_facture_client')

        # Deleting model 'Contrat'
        db.delete_table('eo_facture_contrat')

        # Deleting model 'Prestation'
        db.delete_table('eo_facture_prestation')

        # Deleting model 'Facture'
        db.delete_table('eo_facture_facture')

        # Deleting model 'Ligne'
        db.delete_table('eo_facture_ligne')


    models = {
        'auth.group': {
            'Meta': {'object_name': 'Group'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'ordering': "('content_type__app_label', 'content_type__model', 'codename')", 'unique_together': "(('content_type', 'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'eo_facture.client': {
            'Meta': {'object_name': 'Client'},
            'adresse': ('django.db.models.fields.TextField', [], {}),
            'email': ('django.db.models.fields.CharField', [], {'max_length': '50', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'monnaie': ('django.db.models.fields.CharField', [], {'default': "u'\\u20ac'", 'max_length': '10'}),
            'nom': ('django.db.models.fields.TextField', [], {'unique': 'True', 'max_length': '255'}),
            'telephone': ('django.db.models.fields.CharField', [], {'max_length': '20', 'blank': 'True'})
        },
        'eo_facture.contrat': {
            'Meta': {'object_name': 'Contrat'},
            'client': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contrats'", 'to': "orm['eo_facture.Client']"}),
            'creation': ('django.db.models.fields.DateField', [], {'default': 'datetime.date.today'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']"}),
            'description': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'intitule': ('django.db.models.fields.CharField', [], {'max_length': '150'}),
            'tva': ('django.db.models.fields.DecimalField', [], {'default': "'19.6'", 'max_digits': '8', 'decimal_places': '2'})
        },
        'eo_facture.facture': {
            'Meta': {'object_name': 'Facture'},
            'contrat': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'factures'", 'to': "orm['eo_facture.Contrat']"}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']"}),
            'echeance': ('django.db.models.fields.DateField', [], {'default': 'datetime.date(2011, 5, 23)'}),
            'emission': ('django.db.models.fields.DateField', [], {'default': 'datetime.date.today'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'intitule': ('django.db.models.fields.CharField', [], {'max_length': '150'}),
            'notes': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'ordre': ('django.db.models.fields.IntegerField', [], {'default': '21', 'null': 'True'}),
            'solde': ('django.db.models.fields.BooleanField', [], {'default': 'False'})
        },
        'eo_facture.ligne': {
            'Meta': {'ordering': "('order',)", 'object_name': 'Ligne'},
            'facture': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'lignes'", 'to': "orm['eo_facture.Facture']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'order': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'pourcentage': ('django.db.models.fields.DecimalField', [], {'default': "'1.0'", 'max_digits': '3', 'decimal_places': '2'}),
            'prestation': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['eo_facture.Prestation']"})
        },
        'eo_facture.prestation': {
            'Meta': {'object_name': 'Prestation'},
            'contrat': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'prestations'", 'to': "orm['eo_facture.Contrat']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'intitule': ('django.db.models.fields.TextField', [], {}),
            'optionnel': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'prix_unitaire_ht': ('django.db.models.fields.DecimalField', [], {'max_digits': '8', 'decimal_places': '2'}),
            'quantite': ('django.db.models.fields.DecimalField', [], {'max_digits': '8', 'decimal_places': '2'})
        }
    }

    complete_apps = ['eo_facture']
