# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding field 'Contrat.percentage_per_year'
        db.add_column('eo_facture_contrat', 'percentage_per_year', self.gf('eo_gestion.eo_facture.fields.PercentagePerYearField')(default=u'2011:100', max_length=64, null=True, blank=True), keep_default=False)


    def backwards(self, orm):
        
        # Deleting field 'Contrat.percentage_per_year'
        db.delete_column('eo_facture_contrat', 'percentage_per_year')


    models = {
        'auth.group': {
            'Meta': {'object_name': 'Group'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'ordering': "('content_type__app_label', 'content_type__model', 'codename')", 'unique_together': "(('content_type', 'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'eo_banque.lignebanquepop': {
            'Meta': {'unique_together': "(('compte', 'date_comptabilisation', 'date_operation', 'libelle', 'reference', 'montant'),)", 'object_name': 'LigneBanquePop'},
            'compte': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'date_comptabilisation': ('django.db.models.fields.DateField', [], {}),
            'date_operation': ('django.db.models.fields.DateField', [], {}),
            'date_valeur': ('django.db.models.fields.DateField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'libelle': ('django.db.models.fields.TextField', [], {'max_length': '256'}),
            'montant': ('django.db.models.fields.DecimalField', [], {'max_digits': '10', 'decimal_places': '2'}),
            'reference': ('django.db.models.fields.CharField', [], {'max_length': '20'})
        },
        'eo_facture.client': {
            'Meta': {'ordering': "('nom',)", 'object_name': 'Client'},
            'adresse': ('django.db.models.fields.TextField', [], {}),
            'email': ('django.db.models.fields.CharField', [], {'max_length': '50', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'monnaie': ('django.db.models.fields.CharField', [], {'default': "u'\\u20ac'", 'max_length': '10'}),
            'nom': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '255'}),
            'telephone': ('django.db.models.fields.CharField', [], {'max_length': '20', 'blank': 'True'}),
            'tva': ('django.db.models.fields.DecimalField', [], {'default': "'19.6'", 'max_digits': '8', 'decimal_places': '2'})
        },
        'eo_facture.contrat': {
            'Meta': {'ordering': "('intitule',)", 'object_name': 'Contrat'},
            'client': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contrats'", 'to': "orm['eo_facture.Client']"}),
            'creation': ('django.db.models.fields.DateField', [], {'default': 'datetime.date.today'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']"}),
            'description': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'intitule': ('django.db.models.fields.CharField', [], {'max_length': '150'}),
            'percentage_per_year': ('eo_gestion.eo_facture.fields.PercentagePerYearField', [], {'default': "u'2011:100'", 'max_length': '64', 'null': 'True', 'blank': 'True'}),
            'tva': ('django.db.models.fields.DecimalField', [], {'default': "'19.6'", 'max_digits': '8', 'decimal_places': '2'})
        },
        'eo_facture.facture': {
            'Meta': {'ordering': "('-emission',)", 'object_name': 'Facture'},
            'contrat': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'factures'", 'to': "orm['eo_facture.Contrat']"}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']"}),
            'echeance': ('django.db.models.fields.DateField', [], {'default': 'datetime.date(2011, 10, 13)'}),
            'emission': ('django.db.models.fields.DateField', [], {'default': 'datetime.date.today'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'intitule': ('django.db.models.fields.CharField', [], {'max_length': '150'}),
            'notes': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'ordre': ('django.db.models.fields.IntegerField', [], {'default': '35', 'null': 'True'}),
            'paid': ('django.db.models.fields.BooleanField', [], {'default': 'False'})
        },
        'eo_facture.ligne': {
            'Meta': {'ordering': "('order',)", 'object_name': 'Ligne'},
            'facture': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'lignes'", 'to': "orm['eo_facture.Facture']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'order': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'pourcentage': ('django.db.models.fields.DecimalField', [], {'default': "'1.0'", 'max_digits': '3', 'decimal_places': '2'}),
            'prestation': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['eo_facture.Prestation']"})
        },
        'eo_facture.payment': {
            'Meta': {'ordering': "('ligne_banque_pop',)", 'object_name': 'Payment'},
            'facture': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['eo_facture.Facture']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'ligne_banque_pop': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'payments'", 'to': "orm['eo_banque.LigneBanquePop']"})
        },
        'eo_facture.prestation': {
            'Meta': {'ordering': "('contrat', 'intitule')", 'object_name': 'Prestation'},
            'contrat': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'prestations'", 'to': "orm['eo_facture.Contrat']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'intitule': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'optionnel': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'prix_unitaire_ht': ('django.db.models.fields.DecimalField', [], {'max_digits': '8', 'decimal_places': '2'}),
            'quantite': ('django.db.models.fields.DecimalField', [], {'max_digits': '8', 'decimal_places': '2'})
        }
    }

    complete_apps = ['eo_facture']
