# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding field 'Facture.sous_traite'
        db.add_column(u'eo_facture_facture', 'sous_traite',
                      self.gf('eo_gestion.eo_facture.fields.EuroField')(default='0', max_digits=8, decimal_places=2),
                      keep_default=False)


    def backwards(self, orm):
        # Deleting field 'Facture.sous_traite'
        db.delete_column(u'eo_facture_facture', 'sous_traite')


    models = {
        u'auth.group': {
            'Meta': {'object_name': 'Group'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        u'auth.permission': {
            'Meta': {'ordering': "(u'content_type__app_label', u'content_type__model', u'codename')", 'unique_together': "((u'content_type', u'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['contenttypes.ContentType']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        u'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        u'eo_banque.lignebanquepop': {
            'Meta': {'unique_together': "(('compte', 'date_comptabilisation', 'date_operation', 'libelle', 'reference', 'montant'),)", 'object_name': 'LigneBanquePop'},
            'compte': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'date_comptabilisation': ('django.db.models.fields.DateField', [], {}),
            'date_operation': ('django.db.models.fields.DateField', [], {}),
            'date_valeur': ('django.db.models.fields.DateField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'libelle': ('django.db.models.fields.TextField', [], {'max_length': '256'}),
            'montant': ('django.db.models.fields.DecimalField', [], {'max_digits': '10', 'decimal_places': '2'}),
            'reference': ('django.db.models.fields.CharField', [], {'max_length': '20'})
        },
        u'eo_facture.client': {
            'Meta': {'ordering': "('nom',)", 'object_name': 'Client'},
            'adresse': ('django.db.models.fields.TextField', [], {}),
            'email': ('django.db.models.fields.CharField', [], {'max_length': '50', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'monnaie': ('django.db.models.fields.CharField', [], {'default': "u'\\u20ac'", 'max_length': '10'}),
            'nom': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '255'}),
            'telephone': ('django.db.models.fields.CharField', [], {'max_length': '20', 'blank': 'True'}),
            'tva': ('django.db.models.fields.DecimalField', [], {'default': "'20'", 'max_digits': '8', 'decimal_places': '2'})
        },
        u'eo_facture.contrat': {
            'Meta': {'ordering': "('-id',)", 'object_name': 'Contrat'},
            'client': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contrats'", 'to': u"orm['eo_facture.Client']"}),
            'creation': ('django.db.models.fields.DateField', [], {'default': 'datetime.date.today'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['auth.User']"}),
            'description': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'intitule': ('django.db.models.fields.CharField', [], {'max_length': '150'}),
            'montant_sous_traite': ('django.db.models.fields.DecimalField', [], {'default': "'0'", 'max_digits': '8', 'decimal_places': '2'}),
            'percentage_per_year': ('eo_gestion.eo_facture.fields.PercentagePerYearField', [], {'default': "u'2014:100'", 'max_length': '64'}),
            'tva': ('django.db.models.fields.DecimalField', [], {'default': "'20'", 'max_digits': '8', 'decimal_places': '2'})
        },
        u'eo_facture.facture': {
            'Meta': {'ordering': "('-id',)", 'object_name': 'Facture'},
            'client': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'direct_factures'", 'null': 'True', 'to': u"orm['eo_facture.Client']"}),
            'contrat': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'factures'", 'null': 'True', 'to': u"orm['eo_facture.Contrat']"}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['auth.User']"}),
            'echeance': ('django.db.models.fields.DateField', [], {'default': 'datetime.datetime(2014, 3, 1, 0, 0)'}),
            'emission': ('django.db.models.fields.DateField', [], {'default': 'datetime.date.today'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'intitule': ('django.db.models.fields.CharField', [], {'max_length': '150', 'blank': 'True'}),
            'notes': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'ordre': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'paid': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'proforma': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'sous_traite': ('eo_gestion.eo_facture.fields.EuroField', [], {'default': "'0'", 'max_digits': '8', 'decimal_places': '2'}),
            'taux_tva': ('django.db.models.fields.DecimalField', [], {'default': "'20'", 'max_digits': '8', 'decimal_places': '2'})
        },
        u'eo_facture.ligne': {
            'Meta': {'ordering': "('order',)", 'object_name': 'Ligne'},
            'facture': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'lignes'", 'to': u"orm['eo_facture.Facture']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'intitule': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'order': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'prix_unitaire_ht': ('django.db.models.fields.DecimalField', [], {'default': "'0'", 'max_digits': '8', 'decimal_places': '2'}),
            'quantite': ('django.db.models.fields.DecimalField', [], {'default': "'1.0'", 'max_digits': '8', 'decimal_places': '2'}),
            'taux_tva': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '4', 'decimal_places': '2', 'blank': 'True'})
        },
        u'eo_facture.payment': {
            'Meta': {'ordering': "('-ligne_banque_pop__date_valeur',)", 'object_name': 'Payment'},
            'facture': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'payments'", 'to': u"orm['eo_facture.Facture']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'ligne_banque_pop': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'payments'", 'to': u"orm['eo_banque.LigneBanquePop']"}),
            'montant_affecte': ('django.db.models.fields.DecimalField', [], {'max_digits': '8', 'decimal_places': '2', 'blank': 'True'})
        },
        u'eo_facture.prestation': {
            'Meta': {'ordering': "('contrat', 'intitule')", 'object_name': 'Prestation'},
            'contrat': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'prestations'", 'to': u"orm['eo_facture.Contrat']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'intitule': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'optionnel': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'prix_unitaire_ht': ('django.db.models.fields.DecimalField', [], {'max_digits': '8', 'decimal_places': '2'}),
            'quantite': ('django.db.models.fields.DecimalField', [], {'max_digits': '8', 'decimal_places': '2'})
        }
    }

    complete_apps = ['eo_facture']