import cStringIO as StringIO
import cgi
import os.path

from django import http
from django.shortcuts import render_to_response
from django.template.loader import get_template
from django.template import Context, RequestContext
from django.conf import settings
from django.contrib.staticfiles import finders
import xhtml2pdf.pisa as pisa

import models

def fetch_resource(uri, rel):
    path = uri.replace(settings.STATIC_URL, '')
    if settings.DEBUG:
        return finders.find(path)
    return os.path.join(settings.STATIC_ROOT, path)

def render_to_pdf(template_src, context_dict):
    template = get_template(template_src)
    context = Context(context_dict)
    html  = template.render(context)
    result = StringIO.StringIO()
    pdf = pisa.pisaDocument(StringIO.StringIO(html.encode("UTF-8")), result, link_callback=fetch_resource)

    if not pdf.err:
        if hasattr(settings, 'FACTURE_DIR'):
            facture = context['facture']
            filename = os.path.join(settings.FACTURE_DIR, '%s-%s.pdf' % (facture.code(), facture.contrat.client.nom.encode('utf8')))
            file(filename, 'w').write(result.getvalue())
        return http.HttpResponse(result.getvalue(), content_type='application/pdf')
    return http.HttpResponse('We had some errors<pre>%s</pre>' %
            cgi.escape(html))

def facture(request, facture):
    context = Context({ 'facture': models.Facture.objects.get(id=facture) })
    response = render_to_response('facture.html', context,
            context_instance=RequestContext(request))
    return response

def facture_pdf(request, facture):
    context = Context({ 'facture': models.Facture.objects.get(id=facture) })
    response = render_to_pdf('facture.html', context)
    response['Content-Disposition'] = 'attachment; filename=%s.pdf' % context['facture'].code()
    return response
